import { createApp } from 'vue'
import App from './App.vue'

import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import reouter from "./routers/index"
createApp(App)
    .use(reouter)
    .use(ElementPlus)
    .mount('#app')
const debounce = (fn, delay) => {
    let timer
    return (...args) => {
    if (timer) {
        clearTimeout(timer)
    }
    timer = setTimeout(() => {
        fn(...args)
    }, delay)
    }
}

const _ResizeObserver = window.ResizeObserver;
window.ResizeObserver = class ResizeObserver extends _ResizeObserver{
    constructor(callback) {
    callback = debounce(callback, 200);
    super(callback);
    }
}
   